class PdaPatrolLocationList {
	int? _code;
	String? _msg;
	List<Data>? _data;

	PdaPatrolLocationList({int? code, String? msg, List<Data>? data}) {
		if (code != null) {
			this._code = code;
		}
		if (msg != null) {
			this._msg = msg;
		}
		if (data != null) {
			this._data = data;
		}
	}

	int? get code => _code;
	set code(int? code) => _code = code;
	String? get msg => _msg;
	set msg(String? msg) => _msg = msg;
	List<Data>? get data => _data;
	set data(List<Data>? data) => _data = data;

	PdaPatrolLocationList.fromJson(Map<String, dynamic> json) {
		_code = json['code'];
		_msg = json['msg'];
		if (json['data'] != null) {
			_data = <Data>[];
			json['data'].forEach((v) {
				_data!.add(new Data.fromJson(v));
			});
		}
	}

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['code'] = this._code;
		data['msg'] = this._msg;
		if (this._data != null) {
			data['data'] = this._data!.map((v) => v.toJson()).toList();
		}
		return data;
	}
}

class Data {
	String? _id;
	String? _created;
	String? _createTime;
	Null? _updated;
	String? _updateTime;
	String? _deckId;
	String? _deckName;
	String? _locationId;
	String? _locationName;
	String? _locationPerson;
	String? _nfcNo;
	int? _locationSort;
	String? _platformId;
	Null? _advert;
	Null? _smallPlatform;
	Null? _patrolRecord;
	Null? _advertList;
	String? _ogfName;

	Data(
			{String? id,
				String? created,
				String? createTime,
				Null? updated,
				String? updateTime,
				String? deckId,
				String? deckName,
				String? locationId,
				String? locationName,
				String? locationPerson,
				String? nfcNo,
				int? locationSort,
				String? platformId,
				Null? advert,
				Null? smallPlatform,
				Null? patrolRecord,
				Null? advertList,
				String? ogfName}) {
		if (id != null) {
			this._id = id;
		}
		if (created != null) {
			this._created = created;
		}
		if (createTime != null) {
			this._createTime = createTime;
		}
		if (updated != null) {
			this._updated = updated;
		}
		if (updateTime != null) {
			this._updateTime = updateTime;
		}
		if (deckId != null) {
			this._deckId = deckId;
		}
		if (deckName != null) {
			this._deckName = deckName;
		}
		if (locationId != null) {
			this._locationId = locationId;
		}
		if (locationName != null) {
			this._locationName = locationName;
		}
		if (locationPerson != null) {
			this._locationPerson = locationPerson;
		}
		if (nfcNo != null) {
			this._nfcNo = nfcNo;
		}
		if (locationSort != null) {
			this._locationSort = locationSort;
		}
		if (platformId != null) {
			this._platformId = platformId;
		}
		if (advert != null) {
			this._advert = advert;
		}
		if (smallPlatform != null) {
			this._smallPlatform = smallPlatform;
		}
		if (patrolRecord != null) {
			this._patrolRecord = patrolRecord;
		}
		if (advertList != null) {
			this._advertList = advertList;
		}
		if (ogfName != null) {
			this._ogfName = ogfName;
		}
	}

	String? get id => _id;
	set id(String? id) => _id = id;
	String? get created => _created;
	set created(String? created) => _created = created;
	String? get createTime => _createTime;
	set createTime(String? createTime) => _createTime = createTime;
	Null? get updated => _updated;
	set updated(Null? updated) => _updated = updated;
	String? get updateTime => _updateTime;
	set updateTime(String? updateTime) => _updateTime = updateTime;
	String? get deckId => _deckId;
	set deckId(String? deckId) => _deckId = deckId;
	String? get deckName => _deckName;
	set deckName(String? deckName) => _deckName = deckName;
	String? get locationId => _locationId;
	set locationId(String? locationId) => _locationId = locationId;
	String? get locationName => _locationName;
	set locationName(String? locationName) => _locationName = locationName;
	String? get locationPerson => _locationPerson;
	set locationPerson(String? locationPerson) =>
			_locationPerson = locationPerson;
	String? get nfcNo => _nfcNo;
	set nfcNo(String? nfcNo) => _nfcNo = nfcNo;
	int? get locationSort => _locationSort;
	set locationSort(int? locationSort) => _locationSort = locationSort;
	String? get platformId => _platformId;
	set platformId(String? platformId) => _platformId = platformId;
	Null? get advert => _advert;
	set advert(Null? advert) => _advert = advert;
	Null? get smallPlatform => _smallPlatform;
	set smallPlatform(Null? smallPlatform) => _smallPlatform = smallPlatform;
	Null? get patrolRecord => _patrolRecord;
	set patrolRecord(Null? patrolRecord) => _patrolRecord = patrolRecord;
	Null? get advertList => _advertList;
	set advertList(Null? advertList) => _advertList = advertList;
	String? get ogfName => _ogfName;
	set ogfName(String? ogfName) => _ogfName = ogfName;

	Data.fromJson(Map<String, dynamic> json) {
		_id = json['id'];
		_created = json['created'];
		_createTime = json['createTime'];
		_updated = json['updated'];
		_updateTime = json['updateTime'];
		_deckId = json['deckId'];
		_deckName = json['deckName'];
		_locationId = json['locationId'];
		_locationName = json['locationName'];
		_locationPerson = json['locationPerson'];
		_nfcNo = json['nfcNo'];
		_locationSort = json['locationSort'];
		_platformId = json['platformId'];
		_advert = json['advert'];
		_smallPlatform = json['smallPlatform'];
		_patrolRecord = json['patrolRecord'];
		_advertList = json['advertList'];
		_ogfName = json['ogfName'];
	}

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = this._id;
		data['created'] = this._created;
		data['createTime'] = this._createTime;
		data['updated'] = this._updated;
		data['updateTime'] = this._updateTime;
		data['deckId'] = this._deckId;
		data['deckName'] = this._deckName;
		data['locationId'] = this._locationId;
		data['locationName'] = this._locationName;
		data['locationPerson'] = this._locationPerson;
		data['nfcNo'] = this._nfcNo;
		data['locationSort'] = this._locationSort;
		data['platformId'] = this._platformId;
		data['advert'] = this._advert;
		data['smallPlatform'] = this._smallPlatform;
		data['patrolRecord'] = this._patrolRecord;
		data['advertList'] = this._advertList;
		data['ogfName'] = this._ogfName;
		return data;
	}
}
